/*
 * Copyright (C) 2007,2008 Petri Damstén <damu@iki.fi>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "unit.h"

Value::Value()
{
}

Value::Value(const QVariant& n, const QString& u)
: number(n)
, unit(u)
{
}

bool Value::isValid()
{
    return (number.isValid() && !unit.isEmpty());
}

QString Value::toString()
{
    return number.toString() + " " + unit;
}

UnitCategory::UnitCategory(QObject* parent)
: QObject(parent)
{
}

UnitCategory::~UnitCategory()
{
}

#include "unit.moc"
